package com.ghy.customer.mapper;

import java.util.List;
import com.ghy.customer.domain.CustomerPlace;
import org.apache.ibatis.annotations.Param;

/**
 * 分销申请Mapper接口
 *
 * @author clunt
 * @date 2022-08-11
 */
public interface CustomerPlaceMapper
{
    /**
     * 查询分销申请
     *
     * @param id 分销申请主键
     * @return 分销申请
     */
    public CustomerPlace selectCustomerPlaceById(String id);

    public List<CustomerPlace> getByCustomerIds(@Param("ids") List<Long> ids);

    /**
     * 查询分销申请列表
     *
     * @param customerPlace 分销申请
     * @return 分销申请集合
     */
    public List<CustomerPlace> selectCustomerPlaceList(CustomerPlace customerPlace);

    /**
     * 新增分销申请
     *
     * @param customerPlace 分销申请
     * @return 结果
     */
    public int insertCustomerPlace(CustomerPlace customerPlace);

    /**
     * 修改分销申请
     *
     * @param customerPlace 分销申请
     * @return 结果
     */
    public int updateCustomerPlace(CustomerPlace customerPlace);

    /**
     * 删除分销申请
     *
     * @param id 分销申请主键
     * @return 结果
     */
    public int deleteCustomerPlaceById(String id);

    /**
     * 批量删除分销申请
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCustomerPlaceByIds(String[] ids);

    /**
     * @param ids 需要审核的id
     * @param status 审核结果
     * @return 结果
     */
    public int changeStatus(@Param("ids") String ids, @Param("status") Integer status);

}